Subject: Re: 28.0.50; [feature/native-comp] Provide a mechanism to populate comp-eln-load-path from the environment

From: Andrea Corallo <[email-masked]>
Date: Wed, 18 Nov 2020 21:41:31 +0000

Tad <[email-masked]> writes:

> On Wed, Nov 18, 2020 at 1:15 PM Andrea Corallo <[email-masked]> wrote:
>
>> Wouldn't EMACS_NATIVE_LOAD_PATH be more idiomatic?
>
> I don't have a personal preference regarding the name. However, looking
> at [1], we don't generally use underscores in the variables we support.
> Some do have underscores, such as `DBUS_SESSION_BUS_ADDRESS' and `LC_*',
> but these are standardized outside of Emacs and used by other programs.
>
> [1] https://www.gnu.org/software/emacs/manual/html_node/emacs/General-Variables.html

Fair.

Other question, shouldn't we use ":" as separator as in PATH?  I'm
asking because I see in your snippet you don't so I was wondering if
that's intentional.